Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.executor.impl
Class ExecutorRunnable

    java.lang.Object
      org.jbpm.executor.impl.ExecutorRunnable

All Implemented Interfaces:
  Runnable

    public class ExecutorRunnable

extends Object
implements Runnable

Heart of the executor component - executes the actual tasks. Handles retries and error management. Based on results of execution notifies defined callbacks about the execution results.

Constructor Summary
`ExecutorRunnable()`

Method Summary
`void` | `addContextData(String name, Object data)`
`protected ClassLoader` | `getClassLoader(String deploymentId)`
`void` | `run()`
`void` | `setClassCacheManager(ClassCacheManager classCacheManager)`
`void` | `setCommandService(TransactionalCommandService commandService)`
`void` | `setQueryService(org.kie.internal.executor.api.ExecutorQueryService queryService)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExecutorRunnable

    public ExecutorRunnable()

Method Detail

### setCommandService

    public void setCommandService(TransactionalCommandService commandService)

### setQueryService

    public void setQueryService(org.kie.internal.executor.api.ExecutorQueryService queryService)

### setClassCacheManager

    public void setClassCacheManager(ClassCacheManager classCacheManager)

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

### getClassLoader

    protected ClassLoader getClassLoader(String deploymentId)

### addContextData

    public void addContextData(String name,
                               Object data)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.